# oauth-apps

> Register and manage the OAuth clients your organisation owns.

Register and manage the OAuth clients your organisation owns.

| Method | Path | Operation | Scope | Test mode |
|---|---|---|---|---|
| GET | `/v1/oauth-apps` | `oauth_apps_list`: OAuth apps your organisation owns | `api_keys:write` | - |
| POST | `/v1/oauth-apps` | `oauth_apps_create`: Register an OAuth app | `api_keys:write` | - |
| DELETE | `/v1/oauth-apps/{client_id}` | `oauth_apps_delete`: Delete an OAuth app | `api_keys:write` | - |
| GET | `/v1/oauth-apps/{client_id}` | `oauth_apps_get`: Get one OAuth app | `api_keys:write` | - |
| PATCH | `/v1/oauth-apps/{client_id}` | `oauth_apps_update`: Update an OAuth app | `api_keys:write` | - |
| POST | `/v1/oauth-apps/{client_id}/secrets` | `oauth_apps_secret_new`: Issue a new client secret | `api_keys:write` | - |

Request and response schemas: the interactive reference at `https://api.wapitick.com/docs`, or `docs/api/openapi.json`.
